import QtQuick 2.1

import qb.components 1.0

Screen {
	id: root
	
	screenTitleIconUrl: "qrc:/tsc/LightbulbSystrayIcon.png"

	screenTitle: qsTr("Domoticz")

	function simpleSynchronous(request) {
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.open("GET", request, true);
		xmlhttp.send();
	}
// Function lights
	function switchLight1() {
		var tmp = app.switch1StatusIcon;
		if (tmp == "qrc:/tsc/HomeSunny.png.png") {
			app.switch1StatusIcon = "qrc:/tsc/DimSunny.png.png";
		} else {
			app.switch1StatusIcon = "qrc:/tsc/HomeSunny.png.png";
		}
	}

	function switchLight2() {
		var tmp = app.switch2StatusIcon;
		if (tmp == "qrc:/tsc/DimSunny.png.png") {
			app.switch2StatusIcon = "qrc:/tsc/HomeSunny.png.png";
		} else {
			app.switch2StatusIcon = "qrc:/tsc/DimSunny.png.png";
		}
	}

	function switchLight3() {
		var tmp = app.switch3StatusIcon;
		if (tmp == "qrc:/tsc/DimSunny.png.png") {
			app.switch3StatusIcon = "qrc:/tsc/HomeSunny.png.png";
		} else {
			app.switch3StatusIcon = "qrc:/tsc/DimSunny.png.png";
		}
	}

	function switchLight4() {
		var tmp = app.switch4StatusIcon;
		if (tmp == "qrc:/tsc/DimSunny.png.png") {
			app.switch4StatusIcon = "qrc:/tsc/HomeSunny.png.png";
		} else {
			app.switch4StatusIcon = "qrc:/tsc/DimSunny.png.png";
		}
	}
	function switchLight5() {
		var tmp = app.switch5StatusIcon;
		if (tmp == "qrc:/tsc/DimSunny.png.png") {
			app.switch5StatusIcon = "qrc:/tsc/HomeSunny.png.png";
		} else {
			app.switch5StatusIcon = "qrc:/tsc/DimSunny.png.png";
		}
	}

	function switchLight6() {
		var tmp = app.switch6StatusIcon;
		if (tmp == "qrc:/tsc/DimSunny.png.png") {
			app.switch6StatusIcon = "qrc:/tsc/button_on.png";
		} else {
			app.switch6StatusIcon = "qrc:/tsc/button_off.png";
		}
	}
	
	function switchLight7() {
		var tmp = app.switch7tatusIcon;
		if (tmp == "qrc:/tsc/DimSunny.png.png") {
			app.switch7StatusIcon = "qrc:/tsc/HomeSunny.png.png";
		} else {
			app.switch7StatusIcon = "qrc:/tsc/DimSunny.png.png";
		}
	}

	function switchLight8() {
		var tmp = app.switch8tatusIcon;
		if (tmp == "qrc:/tsc/DimSunny.png.png") {
			app.switch8StatusIcon = "qrc:/tsc/HomeSunny.png.png";
		} else {
			app.switch8StatusIcon = "qrc:/tsc/DimSunny.png.png";
		}
	}	

// ----- LEFT COLUMN -----
// iconButton1
    IconButton {
        id: switch1Button
        anchors {
            top: parent.top
            topMargin: 15
            left: parent.left
            leftMargin: 25
        }
        width: 60
        height: 60

        iconSource: app.switch1StatusIcon

		onClicked: {
			simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch1idx+"&switchcmd=Toggle");
			switchLight1();
    		}
	}

    Text {
        id: switch1Title
        anchors {
            left: switch1Button.right
            verticalCenter: switch1Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch1Name
    }

// iconButton2
    IconButton {
        id: switch2Button
        anchors {
            top: switch1Button.bottom
            topMargin: 15
            left: parent.left
            leftMargin: 25
        }
        width: 60
        height: 60

        iconSource: app.switch2StatusIcon

	onClicked: {
		simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch2idx+"&switchcmd=Toggle");
		switchLight2();
	}
    }

    Text {
        id: switch2Title
        anchors {
            left: switch2Button.right
            verticalCenter: switch2Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch2Name
    }
	
// iconButton3
    IconButton {
        id: switch3Button
        anchors {
            top: switch2Button.bottom
            topMargin: 15
            left: parent.left
            leftMargin: 25
        }
        width: 60
        height: 60

        iconSource: app.switch3StatusIcon

	onClicked: {
		simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch3idx+"&switchcmd=Toggle");
		switchLight3();
	}
    }

    Text {
        id: switch3Title
        anchors {
            left: switch3Button.right
            verticalCenter: switch3Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch3Name
    }


// iconButton7
    IconButton {
        id: switch7Button
        anchors {
            top: switch3Button.bottom
            topMargin: 15
            left: parent.left
            leftMargin: 25
        }
        width: 60
        height: 60

        iconSource: app.switch7StatusIcon

	onClicked: {
		simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch7idx+"&switchcmd=Toggle");
		switchLight7();
	}
    }

    Text {
        id: switch7Title
        anchors {
            left: switch7Button.right
            verticalCenter: switch7Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch7Name
    }

// iconButton8
    IconButton {
        id: switch8Button
        anchors {
            top: switch7Button.bottom
            topMargin: 15
            left: parent.left
            leftMargin: 25
        }
        width: 60
        height: 60

        iconSource: app.switch8StatusIcon

	onClicked: {
		simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch8idx+"&switchcmd=Toggle");
		switchLight8();
	}
    }

    Text {
        id: switch8Title
        anchors {
            left: switch8Button.right
            verticalCenter: switch8Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch8Name
    }
	
// ----- RIGHT COLUMN -----
// iconButton4
    IconButton {
        id: switch4Button
        anchors {
            top: parent.top
            topMargin: 15
            left: parent.left
            leftMargin: 400
        }
        width: 60
        height: 60

        iconSource: app.switch4StatusIcon

	onClicked: {
		simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch4idx+"&switchcmd=Toggle");
		switchLight4();
	}
    }

    Text {
        id: switch4Title
        anchors {
            left: switch4Button.right
            verticalCenter: switch4Button.verticalCenter
            leftMargin: 10
        }
        font {
            family: qfont.semiBold.name
            pixelSize: 20
        }
        color: colors.clockTileColor
        text: app.switch4Name
    }

// iconButton5
	IconButton {
		id: switch5Button
		anchors {
			top: switch4Button.bottom
			topMargin: 15
			left: parent.left
			leftMargin: 400
		}
		width: 60
		height: 60

		iconSource: app.switch5StatusIcon

	onClicked: {
		simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch5idx+"&switchcmd=Toggle");
		switchLight5();
	}
    }

	Text {
		id: switch5Title
		anchors {
			left: switch5Button.right
			verticalCenter: switch5Button.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.clockTileColor
		text: app.switch5Name
	}

// iconButton6
	IconButton {
		id: switch6Button
		anchors {
			top: switch5Button.bottom
			topMargin: 15
			left: parent.left
			leftMargin: 400
		}
		width: 60
		height: 60

		iconSource: app.switch6StatusIcon

	onClicked: {
		simpleSynchronous("http://"+app.hostName+":"+app.portNum+"/json.htm?username="+app.username+"&password="+app.password+"&type=command&param=switchlight&idx="+app.switch6idx+"&switchcmd=Toggle");
		switchLight6();
	}
    }

	Text {
		id: switch6Title
		anchors {
			left: switch6Button.right
			verticalCenter: switch6Button.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.clockTileColor
		text: app.switch6Name
	}

// closing tag
}