import QtQuick 2.1

import qb.components 1.0
import qb.base 1.0

SystrayIcon {
	id: domoticzSystrayIcon
	visible: true
	posIndex: 8000
	property string objectName: "domoticzSystray"

	onClicked: {
		stage.openFullscreen(app.domoticzScreenUrl);
	}

	onDimStateChanged: {
		if (dimState)
			colorize.setColor(colors.inboxSystrayIconDim);
		//else
		//	colorize.setColor("#07aee6");
	}

	Image {
		id: imgDomoticz
		anchors.centerIn: parent
		source: "qrc:/tsc/LightbulbSystrayIcon.png"
		//effect: Colorize {id: colorize; color: "#07aee6"; strength: 1.0}
	}
}
